Open SCAP Library: oval_sysitem Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_sysitem Struct Reference
OVAL » OVALSYS

Each instance of Oval_sysitem represents one item. More...

`#include <oval_system_characteristics.h>`

## Public Member Functions
struct oval_sysitem * | oval_sysitem_new (struct oval_syschar_model *, const char *id)
struct oval_sysitem * | oval_sysitem_clone (struct oval_syschar_model *new_model, struct oval_sysitem *old_data)
void | oval_sysitem_free (struct oval_sysitem *)
Setters
void | oval_sysitem_set_status (struct oval_sysitem *, oval_syschar_status_t)
void | oval_sysitem_set_subtype (struct oval_sysitem *sysitem, oval_subtype_t subtype)
void | oval_sysitem_add_message (struct oval_sysitem *, struct oval_message *)
void | oval_sysitem_add_sysent (struct oval_sysitem *, struct oval_sysent *)
Getters
char * | oval_sysitem_get_id (struct oval_sysitem *)
| Get system data ID.
oval_syschar_status_t | oval_sysitem_get_status (struct oval_sysitem *)
| Get system data status.
struct oval_sysent_iterator * | oval_sysitem_get_sysents (struct oval_sysitem *)
| Get system data individual items.
struct oval_message_iterator * | oval_sysitem_get_messages (struct oval_sysitem *)
| Get system data message.
oval_subtype_t | oval_sysitem_get_subtype (struct oval_sysitem *)
| Get system data subtype.

## Data Fields
struct oval_syschar_model * | model
oval_subtype_t | subtype
char * | id
struct oval_collection * | messages
struct oval_collection * | sysents
oval_syschar_status_t | status

## Detailed Description

Each instance of Oval_sysitem represents one item.

An item might be a file, a rpm, a process, etc. This element is extended by the different component schemas through substitution groups. Each item represents a unique instance of an object as specified by an OVAL Object. For example, a single file or a single user. Each item my be referenced by more than one object in the collected object section. Please refer to the description of ItemType for more details about the information stored in items.

The documentation for this struct was generated from the following files:

- oval_sysItem.c
- oval_system_characteristics.h